---
- name: download kubectl
  get_url:
     url: '{{ _url_kubectl_ }}'
     dest: '{{ _dst_bin_ }}/kubectl'
     mode: '0755'
  tags:
    - download_kubectl

- name: download minkube
  get_url:
     url: '{{ _url_minikube_ }}'
     dest: '{{ _dst_bin_ }}/minikube'
     mode: '0755'
  tags:
    - download_minikube

- name: starting Minikube
  command: "{{ _dst_bin_}}/minikube start --vm-driver=none "
  tags:
    - starting_minikube

- name: copying K8s Deploy
  template:
    src: '{{ _src_minik8s_dir_ }}/{{ item }}'
    dest: '{{ _dst_minik8s_dir_ }}/'
  loop: "{{ _src_k8s_deploy_file_ }}" 
  tags:
     - copy_k8s_deploy

- name: fixing yaml
  lineinfile:
    path: '{{ _dst_minik8s_dir_ }}/{{ _dst_k8s_deploy_file_ }}'
    regexp: 'ansible_default_ipv4.address'
    line: '  - {{ _ip_address_ }}'
  tags:
    - fix_file

- name: apply K8s Deploy
  command: 'kubectl apply -f {{ _dst_minik8s_dir_ }}/{{ _dst_k8s_deploy_file_ }}'
  tags:
    - apply_k8s_deploy

- name: autoscaling K8s rs
  command: 'kubectl autoscale deployment cicd --cpu-percent=50 --min=1 --max=10'
  tags:
    - auto_sc_k8s_rs
